hamnewlex

## Class HamSignStringLexer

- java.lang.Object
- - hamnewlex.HamSignStringLexer

- All Implemented Interfaces:
    HamTokenTypes, org.antlr.runtime.IntStream, org.antlr.runtime.TokenSource, org.antlr.runtime.TokenStream

      public class HamSignStringLexer
      extends java.lang.Object
      implements HamTokenTypes, org.antlr.runtime.TokenStream, org.antlr.runtime.TokenSource

- - ### Field Summary

    - ### Fields inherited from interface hamnewlex.HamTokenTypes

      `EOF, HamAltbegin, HamAltend, HamAlternatingmotion, HamArcd, HamArcl, HamArcr, HamArcu, HamArmextended, HamBehind, HamBelowstomach, HamBetween, HamBrushing, HamCee12, HamCee12open, HamCeeall, HamCheek, HamChest, HamChin, HamCircled, HamCircledi, HamCircledl, HamCircledo, HamCircledr, HamCirclei, HamCircleil, HamCircleir, HamCirclel, HamCircleo, HamCircleol, HamCircleor, HamCircler, HamCircleu, HamCircleui, HamCircleul, HamCircleuo, HamCircleur, HamClockd, HamClockdl, HamClockdr, HamClockfull, HamClockl, HamClockr, HamClocku, HamClockul, HamClockur, HamClose, HamComma, HamCorefref, HamCoreftag, HamCross, HamDecreasing, HamDoublebent, HamDoublehooked, HamEar, HamEarlobe, HamElbow, HamElbowinside, HamEllipseh, HamEllipseul, HamEllipseur, HamEllipsev, HamEtc, HamExclaim, HamExtfingerd, HamExtfingerdi, HamExtfingerdl, HamExtfingerdo, HamExtfingerdr, HamExtfingeri, HamExtfingeril, HamExtfingerir, HamExtfingerl, HamExtfingero, HamExtfingerol, HamExtfingeror, HamExtfingerr, HamExtfingeru, HamExtfingerui, HamExtfingerul, HamExtfingeruo, HamExtfingerur, HamEyebrows, HamEyes, HamFast, HamFinger2, HamFinger23, HamFinger2345, HamFinger23spread, HamFingerbase, HamFingerbendmod, HamFingerhookedmod, HamFingermidjoint, HamFingernail, HamFingerpad, HamFingerplay, HamFingerside, HamFingerstraightmod, HamFingertip, HamFist, HamFlathand, HamForehead, HamFullstop, HamFusionbegin, HamFusionend, HamHalt, HamHandback, HamHead, HamHeadtop, HamIncreasing, HamIndexfinger, HamInterlock, HamLargemod, HamLinefeed, HamLips, HamLowerarm, HamLrat, HamLrbeside, HamMetaalt, HamMiddlefinger, HamMime, HamMovecross, HamMoved, HamMovedi, HamMovedl, HamMovedo, HamMovedr, HamMovei, HamMoveil, HamMoveir, HamMovel, HamMoveo, HamMoveol, HamMoveor, HamMover, HamMoveu, HamMoveui, HamMoveul, HamMoveuo, HamMoveur, HamMovex, HamNbs, HamNeck, HamNeutralspace, HamNodding, HamNomotion, HamNondominant, HamNonipsi, HamNose, HamNostrils, HamOrirelative, HamPagebreak, HamPalm, HamPalmd, HamPalmdl, HamPalmdr, HamPalml, HamPalmr, HamPalmu, HamPalmul, HamPalmur, HamParbegin, HamParend, HamPinch12, HamPinch12open, HamPinchall, HamPinky, HamPinkyside, HamPlus, HamQuery, HamRepeatcontinue, HamRepeatcontinueseveral, HamRepeatfromstart, HamRepeatfromstartseveral, HamRepeatreverse, HamReplace, HamRest, HamReturn, HamRingfinger, HamSeqbegin, HamSeqend, HamShoulders, HamShouldertop, HamSlow, HamSmallmod, HamSpace, HamStirccw, HamStircw, HamStomach, HamSwinging, HamSymmlr, HamSymmpar, HamTab, HamTeeth, HamTense, HamThumb, HamThumbacrossmod, HamThumbball, HamThumbopenmod, HamThumboutmod, HamThumbside, HamTongue, HamTouch, HamTwisting, HamUnderchin, HamUpperarm, HamVersion40, HamWavy, HamWristback, HamWristpulse, HamWristtoback, HamWristtopinky, HamWristtopulse, HamWristtothumb, HamZigzag, NULL_TREE_LOOKAHEAD, WS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HamSignStringLexer(java.lang.String hamscc, java.lang.String[] names)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consume()`
    `org.antlr.runtime.Token` | `get(int i)`
    `java.lang.String` | `getSourceName()`
    `org.antlr.runtime.TokenSource` | `getTokenSource()`
    `int` | `index()`
    `int` | `LA(int ah)`
    `org.antlr.runtime.Token` | `LT(int ah)`
    `int` | `mark()`
    `org.antlr.runtime.Token` | `nextToken()`
    `int` | `range()`
    `void` | `release(int ix)`
    `void` | `rewind()`
    `void` | `rewind(int ix)`
    `void` | `seek(int ix)`
    `int` | `size()`
    `java.lang.String` | `toString(int iStart, int iEnd)`
    `java.lang.String` | `toString(org.antlr.runtime.Token tStart, org.antlr.runtime.Token tEnd)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HamSignStringLexer

          public HamSignStringLexer(java.lang.String hamscc,
                                    java.lang.String[] names)

  - ### Method Detail

    - #### getTokenSource

          public org.antlr.runtime.TokenSource getTokenSource()

      Specified by:
        `getTokenSource` in interface `org.antlr.runtime.TokenStream`

    - #### getSourceName

          public java.lang.String getSourceName()

      Specified by:
        `getSourceName` in interface `org.antlr.runtime.IntStream`
      Specified by:
        `getSourceName` in interface `org.antlr.runtime.TokenSource`

    - #### range

          public int range()

      Specified by:
        `range` in interface `org.antlr.runtime.TokenStream`

    - #### seek

          public void seek(int ix)

      Specified by:
        `seek` in interface `org.antlr.runtime.IntStream`

    - #### release

          public void release(int ix)

      Specified by:
        `release` in interface `org.antlr.runtime.IntStream`

    - #### rewind

          public void rewind(int ix)

      Specified by:
        `rewind` in interface `org.antlr.runtime.IntStream`

    - #### rewind

          public void rewind()

      Specified by:
        `rewind` in interface `org.antlr.runtime.IntStream`

    - #### mark

          public int mark()

      Specified by:
        `mark` in interface `org.antlr.runtime.IntStream`

    - #### size

          public int size()

      Specified by:
        `size` in interface `org.antlr.runtime.IntStream`

    - #### index

          public int index()

      Specified by:
        `index` in interface `org.antlr.runtime.IntStream`

    - #### LA

          public int LA(int ah)

      Specified by:
        `LA` in interface `org.antlr.runtime.IntStream`

    - #### LT

          public org.antlr.runtime.Token LT(int ah)

      Specified by:
        `LT` in interface `org.antlr.runtime.TokenStream`

    - #### get

          public org.antlr.runtime.Token get(int i)

      Specified by:
        `get` in interface `org.antlr.runtime.TokenStream`

    - #### toString

          public java.lang.String toString(int iStart,
                                           int iEnd)

      Specified by:
        `toString` in interface `org.antlr.runtime.TokenStream`

    - #### toString

          public java.lang.String toString(org.antlr.runtime.Token tStart,
                                           org.antlr.runtime.Token tEnd)

      Specified by:
        `toString` in interface `org.antlr.runtime.TokenStream`

    - #### nextToken

          public org.antlr.runtime.Token nextToken()

      Specified by:
        `nextToken` in interface `org.antlr.runtime.TokenSource`

    - #### consume

          public void consume()

      Specified by:
        `consume` in interface `org.antlr.runtime.IntStream`